#!/bin/bash

JAVA_HOME=
DOLLY_HOME=/opt/WASup/engines/dolly-1.0
CLUSTER_NODE_NAME=node1
RMI_PORT=1099
CUSTOM_JVM_OPTIONS=

if [ "x$CUSTOM_JVM_OPTIONS" = "x" ]; then
    JVM_OPTIONS="-Xms2048m -Xmx2048m -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=256m"
else
    JVM_OPTIONS=$CUSTOM_JVM_OPTIONS
fi

JAVA_OPTS="$JAVA_OPTS -Djava.net.preferIPv4Stack=true"
JAVA_OPTS="$JAVA_OPTS $JVM_OPTIONS"
JAVA_OPTS="$JAVA_OPTS -XX:+UseG1GC"
JAVA_OPTS="$JAVA_OPTS -XX:+UseLargePagesInMetaspace"
JAVA_OPTS="$JAVA_OPTS -XX:+ExplicitGCInvokesConcurrent"
JAVA_OPTS="$JAVA_OPTS -XX:+DisableExplicitGC"
JAVA_OPTS="$JAVA_OPTS -XX:ReservedCodeCacheSize=512m"
JAVA_OPTS="$JAVA_OPTS -XX:-UseCodeCacheFlushing"
JAVA_OPTS="$JAVA_OPTS -Djava.security.egd=file:/dev/urandom"
